package idc.client.command;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import idc.model.*;
public class IdcClientDeleteDBCmd implements IdcCmd
{
	private IdcDAO dao = new IdcDAO();
	
	@Override
	public void execute(HttpServletRequest request, HttpServletResponse response) 
	{
		//checkToken 값이 다르면 true반환.
		if(dao.checkToken(request))
		{
			request.setAttribute("reError", dao.reError);
			return;
		}
		else
		{
			//토큰이 같아서 등록성공이 될 경우 토큰을 삭제해 준다.
			request.getSession().removeAttribute("token");
		}
		
		//지워진 고객명 리스트
		boolean isClientDB =Boolean.parseBoolean(request.getParameter("isClientDB"));
		IdcClientDBDTO dto = (IdcClientDBDTO)request.getAttribute("IdcClientTarget");
		dao.idcClientDeleteDB(dto,isClientDB);
	}

}
